private ["_nim", "_plane", "_resType", "_res", "_resources", "_idx", "_ret",
         "_cat", "_deck", "_to"];

_nim = [_this, 0, ObjNull] call BIS_fnc_param;
_plane = [_this, 1, []] call BIS_fnc_param;

_resType = _plane getVariable "ttt_fo_resType";
_res = _plane getVariable "ttt_fo_res";

// default to deny
_ret = false;
// first check resources
// deny if resource is busy
// grant if resource is free and allocate resource
switch (_resType) do {
    case "ELE": {
        _elevator = _res select 0;
        _resources = _nim getVariable "ttt_fo_resources";
        if (_elevator in _resources) then {
            // resource is free, claim it
            _idx = _resources find _elevator;
            _resources = [_resources, _idx] call BIS_fnc_removeIndex;
            _nim setVariable ["ttt_fo_resources", _resources];
            // grant access
            _ret = true;
        } else {
            // deny access
            _ret = false;
        };
    };
    case "TAX": {
        _cat = _res select 0;
        _deck = _res select 1;
        _resources = _nim getVariable "ttt_fo_resources";
        if (_cat in _resources and _deck in _resources) then {
            // resources are free, claim them
            _idx = _resources find _cat;
            _resources = [_resources, _idx] call BIS_fnc_removeIndex;
            _idx = _resources find _deck;
            _resources = [_resources, _idx] call BIS_fnc_removeIndex;
            _nim setVariable ["ttt_fo_resources", _resources];
            // grant access
            _ret = true;
        } else {
            // deny access
            _ret = false;
        };
    };
    case "T-O": {
        _to = _res select 0;
        _resources = _nim getVariable "ttt_fo_resources";
        if (_to in _resources) then {
            // resources are free, claim them
            _idx = _resources find _to;
            _resources = [_resources, _idx] call BIS_fnc_removeIndex;
            _nim setVariable ["ttt_fo_resources", _resources];
            // grant access
            _ret = true;
        } else {
            // deny access
            _ret = false;
        };
    };
    case "LND": {
        _deck = _res select 0;
        _ele = _res select 0;
        _resources = _nim getVariable "ttt_fo_resources";
        if (_deck in _resources and _ele in _resources) then {
            // resources are free, claim them
            _idx = _resources find _deck;
            _resources = [_resources, _idx] call BIS_fnc_removeIndex;
            _idx = _resources find _ele;
            _resources = [_resources, _idx] call BIS_fnc_removeIndex;
            _nim setVariable ["ttt_fo_resources", _resources];
            // grant access
            _ret = true;
        } else {
            // deny access
            _ret = false;
        };
                
    }
};
_ret;


