// initialiaze locations on the Nimitz
#include "Common.h"

private ["_nimspots", "_pos", "_e1", "_e2", "_e3", "_e4", "_c1", "_c2",
	 "_c3", "_c4", "_t0", "_t1", "_t2", "_t3", "_t4", "_t5",
	 "_dir", "_locs", "_p1", "_p2", "_v"];

_nimspots = ["nimspots"] call TTT_fnc_global;
_dir = getDir _nimspots;

_e1 = _nimspots modelToWorld (_nimspots selectionPosition "E1");
_e2 = _nimspots modelToWorld (_nimspots selectionPosition "E2");
_e3 = _nimspots modelToWorld (_nimspots selectionPosition "E3");
_e4 = _nimspots modelToWorld (_nimspots selectionPosition "E4");
_c1 = _nimspots modelToWorld (_nimspots selectionPosition "C1");
_c2 = _nimspots modelToWorld (_nimspots selectionPosition "C2");
_c3 = _nimspots modelToWorld (_nimspots selectionPosition "C3");
_c4 = _nimspots modelToWorld (_nimspots selectionPosition "C4");

_t0 = CIRCLEPOS2(_c2, _dir + 120, 10);
_t1 = CIRCLEPOS2(_e1, _dir - 90, 20);
_t2 = CIRCLEPOS2(_e2, _dir - 90, 20);
_t3 = CIRCLEPOS2(_c3, _dir + 100, 25);
_t4 = CIRCLEPOS2(_e3, _dir - 90, 20);
_t5 = CIRCLEPOS2(_e4, _dir, 20);
_t6 = CIRCLEPOS2(_c3, _dir - 190, 20);

_t0 = [_t0 select 0, _t0 select 1, 17.5];
_t1 = [_t1 select 0, _t1 select 1, 17.5];
_t2 = [_t2 select 0, _t2 select 1, 17.5];
_t3 = [_t3 select 0, _t3 select 1, 17.5];
_t4 = [_t4 select 0, _t4 select 1, 17.5];
_t5 = [_t5 select 0, _t5 select 1, 17.5];
_t6 = [_t6 select 0, _t6 select 1, 17.5];

_locs = [
  ["t0", _t0, "C1", _c1],
  ["t0", _t0, "C2", _c2],
  ["t1", _t1, "E1", _e1],
  ["t2", _t2, "E2", _e2],
  ["t3", _t3, "C3", _c3],
  ["t3", _t3, "C4", _c4],
  ["t4", _t4, "E3", _e3],
  ["t5", _t5, "E4", _e4],
  ["t6", _t6, "L1", _c3]
];

// {
  // _p1 = _x select 1;
  // _p2 = _x select 3;
  // _v = "Sign_Arrow_F" createVehicle _p1;
  // _v setPosASL [_p1 select 0, _p1 select 1, 18];
  // _v = "Sign_Arrow_Blue_F" createVehicle _p2;
  // _v setPosASL [_p2 select 0, _p2 select 1, 18];
// } foreach _locs;

_locs;
