private ["_veh", "_markerName", "_markerType", "_markerColor", "_update"];

_veh = [_this, 0, objNull] call BIS_fnc_param;
_markerName = [_this, 1, "default"] call BIS_fnc_param;
_markerType = [_this, 2, "mil_dot"] call BIS_fnc_param;
_markerColor = [_this, 3, "ColorWhite"] call BIS_fnc_param;
_update = [_this, 4, 5] call BIS_fnc_param;

createMarker[_markerName, getPos _veh];
_markerName setMarkerShape "ICON";
_markerName setMarkerColor _markerColor;
_markerName setMarkerType _markerType;
_markerName setMarkerText _markerName;

[_markerName, _veh, _update] spawn {
  private ["_markerName", "_veh", "_update"];
  _markerName = _this select 0;
  _veh = _this select 1;
  _update = _this select 2;
  while {alive _veh} do {
    _markerName setMarkerPos (getPos _veh);
    sleep _update;
  };
  _markerName setMarkerColor "ColorBlack";
  sleep 300;
  deleteMarker _markerName;
};

